#
# spec file for package python3-QtAwesome
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-QtAwesome
Version:        0.3.3
Release:        1.1
License:        MIT
Summary:        FontAwesome icons in PyQt and PySide applications
Url:            https://github.com/spyder-ide/qtawesome
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/Q/QtAwesome/QtAwesome-%{version}.tar.gz
# This will be included in the tarball in the next release.  It can be removed then.
Source1:        LICENSE
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-QtPy
BuildRequires:  python3-six
Requires:       python3-QtPy
Requires:       python3-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
QtAwesome enables iconic fonts such as Font Awesome and
Elusive Icons in PyQt and PySide applications.

It is a port to Python - PyQt / PySide of the QtAwesome C++
library by Rick Blommers.

%prep
%setup -q -n QtAwesome-%{version}
cp %{SOURCE1} ./

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{python3_sitelib}/*

%changelog
* Thu Oct 13 2016 toddrme2178@gmail.com
- Initial version
